# Copyright (c) 2007 SIEGE Development Team
# All rights reserved.
#
# This file is part of libSIEGE.
#
# This software is copyrighted work licensed under the terms of the
# 2-clause BSD license. Please consult the file "license.txt" for
# details.
#
# If you did not recieve the file with this program, please email
# Tim Chas <darkuranium@gmail.com>.

from siege.common cimport *

cdef extern from "siege/input/keyboard.h":
    SGbool sgKeyboardKey(SGenum key)
    SGbool sgKeyboardKeyPress(SGenum key)
    SGbool sgKeyboardKeyRelease(SGenum key)

    SGbool sgKeyboardChar(SGdchar chr)
    SGbool sgKeyboardCharPress(SGdchar chr)
    SGbool sgKeyboardCharRelease(SGdchar chr)
